# Interface FloorFilterJson

Configurable properties used by the floor filter widget. See https://developers.arcgis.com/web-map-specification/objects/floorFilter/.

interface FloorFilterJson {
enabled?: boolean;
facility?: string;
level?: string;
longNames?: boolean;
minimized?: boolean;
pinnedLevels?: boolean;
siteIdentifier?: string;
}

#####
Index

### Properties

enabled?
facility?
level?
longNames?
minimized?
pinnedLevels?
siteIdentifier?

##
Properties

### `Optional` enabled

enabled?: boolean

Indicates whether the floor filter is actively filtering the displayed content according to the floor filter selection.

### `Optional` facility

facility?: string

Contains a facility identifier for the initially selected facility in the floor filter.

### `Optional` level

level?: string

Contains a level identifier for the initially selected floor, which is used when filtering floor-aware layers.

### `Optional` longNames

longNames?: boolean

Indicates whether the floor filter is showing long names instead of short names for floor levels.

### `Optional` minimized

minimized?: boolean

Indicates whether the floor filter has been minimized to show only the levels list instead of showing the full set of breadcrumbs.

### `Optional` pinnedLevels

pinnedLevels?: boolean

Indicates whether the floor filter has been pinned to show the floor levels list, instead of including the levels as a breadcrumb dropdown.

### `Optional` siteIdentifier

siteIdentifier?: string

Contains a site identifier for the initially selected site in the floor filter.